package com.hertz.modules.system.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hertz.modules.system.dto.MenuDto;
import com.hertz.modules.system.entity.SysMenu;
import java.util.List;

public interface MenuService {
  List<MenuDto> getMenuTreeByUserId(long userId);

  IPage<SysMenu> pageMenus(int page, int size, String keyword);

  void saveMenu(SysMenu menu);

  void updateMenu(SysMenu menu);

  void deleteMenu(Long id);
}

